searchNodes=[{"ref":"Brcpfcnpj.html","title":"Brcpfcnpj","type":"module","doc":"Valida Cpf/Cnpj e formata em String caso necessário O formato da string, que deve seguir o padrão xx.xxx.xxx/xxxx-xx, onde &#39;x&#39; pode ser qualquer dígito de 0 a 9 e os traços (-), barra (/) e pontos (.) são opcionais. O conteúdo numérico desta string, que é validado através do cálculo do &#39;módulo 11&#39; dos dígitos que compõem a string. Examples iex&gt; Brcpfcnpj.cpf_valid?(%Cpf{number: &quot;111.444.777-35&quot;}) true iex&gt; Brcpfcnpj.cpf_format(%Cpf{number: &quot;11144477735&quot;}) &quot;111.444.777-35&quot; Com ou sem os caracteres especiais os mesmos serão validados"},{"ref":"Brcpfcnpj.html#cnpj_format/1","title":"Brcpfcnpj.cnpj_format/1","type":"function","doc":"Valida o Cnpj e retorna uma String do Cnpj formatado. Caso seja inválido retorna nil Examples iex&gt; Brcpfcnpj.cnpj_format(%Cnpj{number: &quot;69103604000160&quot;}) &quot;69.103.604/0001-60&quot; iex&gt; Brcpfcnpj.cnpj_format(%Cnpj{number: &quot;69103604000161&quot;}) nil"},{"ref":"Brcpfcnpj.html#cnpj_generate/1","title":"Brcpfcnpj.cnpj_generate/1","type":"function","doc":"Responsavel por gerar um Cnpj válido, formatado ou não. Caso seja passado o parâmetro true recebera o mesmo formatado"},{"ref":"Brcpfcnpj.html#cnpj_valid?/1","title":"Brcpfcnpj.cnpj_valid?/1","type":"function","doc":"Valida Cnpj, realiza a chamada ao módulo Cpfcnpj com a estrutura correta. Força o desenvolvedor passar os parâmetros de forma correta Examples iex&gt; Brcpfcnpj.cnpj_valid?(%Cnpj{number: &quot;69103604000160&quot;}) true iex&gt; Brcpfcnpj.cnpj_valid?(%Cnpj{number: &quot;69.103.604/0001-60&quot;}) true iex&gt; Brcpfcnpj.cnpj_valid?(%Cnpj{number: &quot;69./0001-60&quot;}) false"},{"ref":"Brcpfcnpj.html#cpf_format/1","title":"Brcpfcnpj.cpf_format/1","type":"function","doc":"Valida o Cpf e retorna uma String do Cpf formatado. Caso seja inválido retorna nil Examples iex&gt; Brcpfcnpj.cpf_format(%Cpf{number: &quot;11144477735&quot;}) &quot;111.444.777-35&quot; iex&gt; Brcpfcnpj.cpf_format(%Cpf{number: &quot;11144477734&quot;}) nil"},{"ref":"Brcpfcnpj.html#cpf_generate/1","title":"Brcpfcnpj.cpf_generate/1","type":"function","doc":"Responsavel por gerar um Cpf válido, formatado ou não. Caso seja passado o parâmetro true recebera o mesmo formatado"},{"ref":"Brcpfcnpj.html#cpf_valid?/1","title":"Brcpfcnpj.cpf_valid?/1","type":"function","doc":"Valida Cpf, realiza a chamada ao modulo Cpfcnpj com a estrutura correta. Força o desenvolvedor passar os parâmetros de forma correta Examples iex&gt; Brcpfcnpj.cpf_valid?(%Cpf{number: &quot;11144477735&quot;}) true iex&gt; Brcpfcnpj.cpf_valid?(%Cpf{number: &quot;111.444.777-35&quot;}) true iex&gt; Brcpfcnpj.cpf_valid?(%Cpf{number: &quot;1127772-35&quot;}) false Com ou sem os caracteres especiais os mesmos serão validados"},{"ref":"Brcpfcnpj.Changeset.html","title":"Brcpfcnpj.Changeset","type":"module","doc":"Define funções para serem utilizadas em conjunto com a API de changeset do Ecto."},{"ref":"Brcpfcnpj.Changeset.html#validate_cnpj/2","title":"Brcpfcnpj.Changeset.validate_cnpj/2","type":"function","doc":"Valida se essa mudança é um cnpj válido. Aceita um ou mais fields Options :message - A mensagem em caso de erro, o default é &quot;Invalid Cnpj&quot; Examples validate_cnpj(changeset, :cnpj) validate_cnpj(changeset, [:cnpj, :other_cnpj])"},{"ref":"Brcpfcnpj.Changeset.html#validate_cnpj/3","title":"Brcpfcnpj.Changeset.validate_cnpj/3","type":"function","doc":""},{"ref":"Brcpfcnpj.Changeset.html#validate_cpf/2","title":"Brcpfcnpj.Changeset.validate_cpf/2","type":"function","doc":"Valida se essa mudança é um cpf válido. Aceita um ou mais fields Options :message - A mensagem em caso de erro, o default é &quot;Invalid Cpf&quot; Examples validate_cpf(changeset, :cpf) validate_cpf(changeset, [:cpf, :cnpj])"},{"ref":"Brcpfcnpj.Changeset.html#validate_cpf/3","title":"Brcpfcnpj.Changeset.validate_cpf/3","type":"function","doc":""},{"ref":"Brcpfcnpj.Changeset.html#t:changeset/0","title":"Brcpfcnpj.Changeset.changeset/0","type":"type","doc":""},{"ref":"Brcpfcnpj.Changeset.html#t:error/0","title":"Brcpfcnpj.Changeset.error/0","type":"type","doc":""},{"ref":"Brcpfcnpj.Changeset.html#t:error_message/0","title":"Brcpfcnpj.Changeset.error_message/0","type":"type","doc":""},{"ref":"Cnpj.html","title":"Cnpj","type":"module","doc":"Associa uma strutura de Cnpj, para validações. Os campos são: number - Número do Cnpj ex: 69103604000160, 69.103.604/0001-60 ou 69.103.604000160"},{"ref":"Cpf.html","title":"Cpf","type":"module","doc":"Associa uma strutura de cpf, para validações. Os campos são: number - Número do cpf ex: 11144477735, 111.444.777-35 ou 111.444.77735"},{"ref":"Cpfcnpj.html","title":"Cpfcnpj","type":"module","doc":"Módulo responsável por realizar todos os cálculos de validação. Examples iex&gt;Cpfcnpj.valid?({:cnpj,&quot;69.103.604/0001-60&quot;}) true iex&gt;Cpfcnpj.valid?({:cpf,&quot;111.444.777-35&quot;}) true Com ou sem os caracteres especiais os mesmos serão validados"},{"ref":"Cpfcnpj.html#format_number/1","title":"Cpfcnpj.format_number/1","type":"function","doc":"Valida o Cpf/Cnpj e retorna uma String com o mesmo formatado. Caso seja inválido retorna nil Examples iex&gt; Cpfcnpj.format_number({:cnpj,&quot;69.103.604/0001-60&quot;}) &quot;69.103.604/0001-60&quot;"},{"ref":"Cpfcnpj.html#generate/1","title":"Cpfcnpj.generate/1","type":"function","doc":"Gerador de cpf/cnpj concatenado com o dígito verificador."},{"ref":"Cpfcnpj.html#valid?/1","title":"Cpfcnpj.valid?/1","type":"function","doc":"Valida cpf/cnpj caracteres especias não são levados em consideração. Examples iex&gt;Cpfcnpj.valid?({:cnpj,&quot;69.103.604/0001-60&quot;}) true"}]